Ingest a single candidate
curl --request POST \
--url https://api.heymilo.ai/api/v2/postings/{posting_id}/candidates \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"name": "Jane Doe",
"email": "jane.doe@example.com",
"phone_number": "+12065551234",
"metadata": {
"ats_stage": "phone_screen",
"external_id": "candidate_xyz"
},
"data": {}
}
'import requests
url = "https://api.heymilo.ai/api/v2/postings/{posting_id}/candidates"
payload = {
"name": "Jane Doe",
"email": "jane.doe@example.com",
"phone_number": "+12065551234",
"metadata": {
"ats_stage": "phone_screen",
"external_id": "candidate_xyz"
},
"data": {}
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Jane Doe',
email: 'jane.doe@example.com',
phone_number: '+12065551234',
metadata: {ats_stage: 'phone_screen', external_id: 'candidate_xyz'},
data: {}
})
};
fetch('https://api.heymilo.ai/api/v2/postings/{posting_id}/candidates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"interview_id": "D536A69A4090E13F",
"interview_url": "https://candidates.heymilo.io/acme/i/D536A69A4090E13F",
"posting_id": "13D77095",
"object": "candidate",
"candidate": {
"interview_id": "D536A69A4090E13F",
"posting_id": "13D77095",
"name": "Jane Smith",
"email": "jane.smith@example.com",
"status": "completed",
"object": "candidate",
"candidate_id": "cand_def456",
"score": 78.5,
"interview_url": "https://candidates.heymilo.io/acme/i/D536A69A4090E13F",
"workflow": {
"steps": [
{
"step_id": "agent_vi_001",
"order": 1,
"status": "completed",
"started": true,
"completed": true,
"knocked_out": false,
"last_updated_at": 1739713800
}
],
"all_complete": false,
"last_activity_at": 1739715600
},
"agent_summary": {
"resume": {
"resume_score": 3.8,
"is_eligible": true,
"resume_link": "https://cdn.heymilo.io/resumes/abc123.pdf"
},
"web_interview": {
"score": 82,
"highlights": [
"<string>"
],
"audio_recording_link": "<string>",
"video_recording_link": "<string>"
},
"sms": {
"is_eligible": true,
"criteria_passed": [
"<string>"
],
"criteria_failed": [
"<string>"
],
"messages_sent": 8
},
"form": {
"is_complete": true,
"is_eligible": true,
"questions_answered": 5,
"total_questions": 7
}
},
"shortlisted": false,
"dismissed": false,
"metadata": {
"ats_stage": "phone_screen",
"external_id": "candidate_xyz"
},
"data": {},
"interviewed_at": 1739713800,
"created_at": 1739612400
}
},
"meta": {}
}{
"error": {
"type": "invalid_request_error",
"code": "validation_error",
"message": "The request body failed validation",
"param": "<string>",
"doc_url": "<string>",
"errors": [
{
"code": "invalid_param",
"message": "title must be between 3 and 200 characters",
"param": "title"
}
]
}
}{
"error": {
"type": "invalid_request_error",
"code": "validation_error",
"message": "The request body failed validation",
"param": "<string>",
"doc_url": "<string>",
"errors": [
{
"code": "invalid_param",
"message": "title must be between 3 and 200 characters",
"param": "title"
}
]
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": {
"type": "invalid_request_error",
"code": "validation_error",
"message": "The request body failed validation",
"param": "<string>",
"doc_url": "<string>",
"errors": [
{
"code": "invalid_param",
"message": "title must be between 3 and 200 characters",
"param": "title"
}
]
}
}Ingest a single candidate
Submit a candidate for processing through the interviewer’s workflow. Returns the interview ID, interview URL, and full candidate receipt.
POST
/
api
/
v2
/
postings
/
{posting_id}
/
candidates
Ingest a single candidate
Authorizations
API key for authentication. Pass your key in the X-API-KEY header.
Path Parameters
Body
application/json
Candidate full name
Example:
"Jane Doe"
Candidate email address
Example:
"jane.doe@example.com"
Candidate phone number (E.164 format)
Example:
"+12065551234"
Set of key-value pairs for storing additional information on the candidate. Up to 50 keys, each key max 40 chars, each value max 500 chars.
Show child attributes
Show child attributes
Example:
{
"ats_stage": "phone_screen",
"external_id": "candidate_xyz"
}
Additional candidate data
Was this page helpful?
⌘I